Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1115665 - Review Request: nodejs-csscomb - CSS coding style formatter
Summary: Review Request: nodejs-csscomb - CSS coding style formatter
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1115667 1115706 1115708 1131978
Blocks: nodejs-reviews 1115659 1115675
TreeView+ depends on / blocked
 
Reported: 2014-07-02 21:03 UTC by Ralph Bean
Modified: 2016-04-04 16:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 16:07:41 UTC
tom: fedora-review?


Attachments (Terms of Use)

Description Ralph Bean 2014-07-02 21:03:27 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-csscomb.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-csscomb-3.0.0-0.1.5.fc20.src.rpm

Description:
CSScomb is a coding style formatter for CSS.  You can easily write your own
configuration to make your style sheets beautiful and consistent.

Comment 1 Tom Hughes 2014-08-17 17:53:42 UTC
Some preliminary comments:

- I think there's a proper 3.0.0 release now?
- This should be a noarch package
- I don't think .jshint-groups.js needs to be installed
- You should probably install bin/csscomb, and link it from /usr/bin

Comment 2 Ralph Bean 2014-08-18 13:37:32 UTC
Thanks Tom.  This new release should address your comments:

Spec URL: http://threebean.org/rpm/SPECS/nodejs-csscomb.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-csscomb-3.0.1-1.fc20.src.rpm

Comment 3 Tom Hughes 2014-08-18 21:27:04 UTC
This seems to have a dependency on csscomb-core now, which isn't packaged yet.

Comment 4 Ralph Bean 2014-08-20 13:06:38 UTC
(In reply to Tom Hughes from comment #3)
> This seems to have a dependency on csscomb-core now, which isn't packaged
> yet.

Ah, so it does.

Spec URL: http://threebean.org/rpm/SPECS/nodejs-csscomb.spec
SRPM URL: http://threebean.org/rpm/SRPMS/nodejs-csscomb-3.0.1-2.fc20.src.rpm

Comment 5 Ralph Bean 2015-02-10 03:23:47 UTC
csscomb-core is in the repos now.

Comment 6 Piotr Popieluch 2015-11-14 13:27:42 UTC
Ralph, this will need to be updated to the latest 3.1.8 version. I'm willing to do the review once it is updated.

Comment 7 Ralph Bean 2016-04-04 16:07:41 UTC
I'm no longer pursuing this one.  Thanks to everyone for the assistance here.


Note You need to log in before you can comment on or make changes to this bug.